# pamhue

Updated: 07 January 2018
Table Of Contents

## NAME

pamhue - change a Netpbm image's hues

## SYNOPSIS

pamhue [-huechange=[degrees]] filename

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## DESCRIPTION

This program is part of Netpbm.

pamhue shifts the hue of every pixel in an image by the same amount.

If the image is in a black and white or grayscale format, the image is fully desaturated, so the hue is meaningless and pamhue leaves the image unchanged.

Hue-Saturation-Value, or HSV, is one way to represent a color, like the more well-known RGB. Hue is an indication of the secondary color with the same brightness that most closely approximates the color. A secondary color is made of a combination of at most two of the primary colors.

In the HSV model, hue is an angular position on the color wheel.

With pamhue, you indicate an angle by which to change all the hues in the image; for example you can say move it 60 degrees clockwise. That would change all red pixels to yellow and all yellow pixels to green, etc.

To modify the saturation and value components of the colors, use pambrighten.

## EXAMPLES

To shift the color of each pixel 120 degrees clockwise:

    pamhue -huechange=120

To shift the color of each pixel 120 degrees counterclockwise:

    pamhue -huechange=-120

## OPTIONS

-huechange=degrees
  This option specifies the amount to shift each color. It is in degrees, with positive meaning clockwise and negative meaning counterclockwise. It may be fractional and may be more than a full revolution.

  This option is mandatory.

## HISTORY

pamhue was new in Netpbm 10.86 (March 2019).

## SEE ALSO

pambrighten, ppmflash, ppmhist, ppm

## AUTHOR

Copyright (C) 2018 by Willem van Schaik. Copyright (C) 1990 by Brian Moffet. Copyright (C) 1989 by Jef Poskanzer.

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- EXAMPLES
- OPTIONS
- HISTORY
- SEE ALSO
- AUTHOR